Page MenuHomePhabricator

Collection using deprecated global variables
Closed, ResolvedPublic0.5 Story Points

Description

Start a new book and click "add this page to book"

Notice:

load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0cg1aij:154 Use of "wgNamespaceNumber" is deprecated. Use mw.config instead.
get @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0cg1aij:154
onclick @ W._J._Cash:53
load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0cg1aij:154 Use of "wgTitle" is deprecated. Use mw.config instead.

It appears this is using globals. This will break soon (@Krinkle probably can inform us on when) and if that happens this feature will be broken.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2017, 10:40 PM
Jdlrobson triaged this task as High priority.Oct 2 2017, 10:40 PM

Change 381892 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Collection@master] Stop using wgNamespace and wgTitle globals

https://gerrit.wikimedia.org/r/381892

Jdlrobson set the point value for this task to 0.5.Oct 10 2017, 4:45 PM
Jdlrobson moved this task from Upcoming to 2017-18 Q1 on the Readers-Web-Backlog board.

Change 381892 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Stop using wgNamespace and wgTitle globals

https://gerrit.wikimedia.org/r/381892

phuedx closed this task as Resolved.Oct 17 2017, 11:57 AM
phuedx claimed this task.
phuedx added a subscriber: phuedx.

I don't see any warnings on Special:Book or on pages where the book creator banner is inserted 🎉🎉🎉